#include "datetimestack.h"
#include "datetime.h"
#include "zone.h"
#include "timespliter.h"

DatetimeStack::DatetimeStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(DateTime::pageKey());
}

Page *DatetimeStack::createPage(const QString key)
{
    if(key == DateTime::pageKey())
    {
        DateTime * page = new DateTime(this);
        return page;
    }
    else if(key == Zone::pageKey())
    {
        Zone * page = new Zone(this);
        return page;
    }
    else if(key == TimeSpliter::pageKey())
    {
        TimeSpliter * page = new TimeSpliter(this);
        return page;
    }
    return nullptr;
}
