#include "firewall.h"
#include "ui_firewall.h"
#include <QProcess>

FireWall::FireWall(QWidget *parent) :
    Page(parent),
    ui(new Ui::FireWall)
{
    ui->setupUi(this);
    QFile f(":/qss/firewall.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }
    ui->frame->setTitle(tr("FireWall"));
    connect(ui->frame,&ClickedFrame::clicked,this,&FireWall::onProcess);
}

FireWall::~FireWall()
{
    delete ui;
}

void FireWall::refreshPage()
{
    //
}

void FireWall::onProcess()
{
    QProcess::startDetached("sudo firewall-config");
}

