#include "servicestack.h"
#include "service.h"

ServiceStack::ServiceStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(Service::pageKey());
}

Page *ServiceStack::createPage(const QString key)
{
    if(key == Service::pageKey())
    {
        Service * page = new Service(this);
        return page;
    }
    return nullptr;
}
