#ifndef MAINTHEME_H
#define MAINTHEME_H

#include <QWidget>
#include <Nde/Settings>

class NdeThemeConfig : public QWidget
{
    Q_OBJECT

public:
    explicit NdeThemeConfig(Nde::Settings *settings);
    ~NdeThemeConfig();
    void apply(QString mainThemeName);

    QStringList listNdeThemeName();
    QString currentNdeTheme();

    QString cursorThemeFromThemeConfig();
    QString iconThemeFromThemeConfig();

signals:
    void settingsChanged();
    void setCursorFromConfig(QString );
    void setIconFromConfig(QString );

private:
    Nde::Settings *mSettings;
    QStringList ndeThemeNames;
    QString mCurrentThemeName;
};


#endif // MAINTHEME_H
