#ifndef AUTOSTART_H
#define AUTOSTART_H

#include "ndeautostartitem.h"
#include "../baseui/page.h"

namespace Ui {
class AutoStart;
}

class AutoStart : public Page
{
    Q_OBJECT

public:
    explicit AutoStart(QWidget *parent = nullptr);
    ~AutoStart();

public:
    //页面唯一键
    static QString pageKey() {return "autostart";}

    //页面标题
    virtual QString pageTitle() {return tr("AutoStart Manager");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private:
    Ui::AutoStart *ui;
    void initui();
};
#endif // AUTOSTART_H
