#include "autostartstack.h"
#include "autostart.h"

AutostartStack::AutostartStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(AutoStart::pageKey());
}

Page *AutostartStack::createPage(const QString key)
{
    if(key == AutoStart::pageKey())
    {
        AutoStart * page = new AutoStart(this);
        return page;
    }
    return nullptr;
}
