#ifndef FIREWALL_H
#define FIREWALL_H

#include "../baseui/page.h"

namespace Ui {
class FireWall;
}

class FireWall : public Page
{
    Q_OBJECT

public:
    explicit FireWall(QWidget *parent = nullptr);
    ~FireWall();

public:
    //页面唯一键
    static QString pageKey() {return "firewall";}

    //页面标题
    virtual QString pageTitle() {return tr("FireWall");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onProcess();
private:
    Ui::FireWall *ui;

};


#endif // FIREWALL_H
