#include "mousestack.h"
#include "mouse.h"

MouseStack::MouseStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(Mouse::pageKey());
}

Page *MouseStack::createPage(const QString key)
{
    if(key == Mouse::pageKey())
    {
        Mouse * page = new Mouse(this);
        return page;
    }
    return nullptr;
}
