#ifndef WALLPAPERITEM_H
#define WALLPAPERITEM_H
#include "designer/ndewidgetimagelistitemwidget.h"

class WallpaperItem:public NdeWidget::ImageListItemWidget
{
    Q_OBJECT
public:
    explicit  WallpaperItem(QWidget* parent=0);
    ~WallpaperItem();

    void setCurrentWallpaper(bool enable);
protected:
    void paintEvent(QPaintEvent *event) override;

private:
    QRect getPixmapRect();
    QRect getTextRect();


    bool CurrentWallpaper;

};

#endif // WALLPAPERITEM_H
