#include "wallpaperitemlist.h"
#include "wallpaperitem.h"

WallpaerItemList::WallpaerItemList(QWidget *parent) :NdeWidget::ImageList(parent)
{
}

WallpaerItemList::~WallpaerItemList()
{

}

void WallpaerItemList::addImage(const QString &path, QString name)
{
    if(path.isEmpty()) return;

    QListWidgetItem * item = new QListWidgetItem(this);

    WallpaperItem * itemWgt = new WallpaperItem(this);
    itemWgt->setPath(path);
    itemWgt->setText(name);
    itemWgt->setImageSize(this->imageSize());

    item->setSizeHint(this->itemSize());

    this->setItemWidget(item, itemWgt);
}
