#include "screensaverstack.h"
#include "screensaver.h"

ScreensaverStack::ScreensaverStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(ScreenSaver::pageKey());
}

Page *ScreensaverStack::createPage(const QString key)
{
    if(key == ScreenSaver::pageKey())
    {
        ScreenSaver * page = new ScreenSaver(this);
        return page;
    }
    return nullptr;
}
