#ifndef THEMEITEM_H
#define THEMEITEM_H

#include <QWidget>
#include <QFrame>
#include <QHBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <QEvent>
#include <QCheckBox>


class ThemeItem : public QFrame
{
    Q_OBJECT
public:
    explicit ThemeItem(int picCount ,QWidget *parent = nullptr);
    ~ThemeItem();

    void setCheckBtnText(QString name);
    void setIcons(QVector<QIcon> icons);
    void setIcons(QList<QPixmap> icons);
    void setSelectIconTheme();
    QString checkText();

    QCheckBox *checkbox_name;

protected:
    virtual bool eventFilter(QObject *watched, QEvent *event);

private:
    QString mText;
    QHBoxLayout *layout_item;
    QSpacerItem *horizontalSpacer;
    QList<QLabel *> iconLabels;
};

#endif // THEMEITEM_H
