#include "themestack.h"
#include "theme.h"

ThemeStack::ThemeStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(Theme::pageKey());
}

Page *ThemeStack::createPage(const QString key)
{
    if(key == Theme::pageKey())
    {
        Theme * page = new Theme(this);
        return page;
    }
    return nullptr;
}
